with GNATCOM.Dispinterface;

package MSHTML.IHTMLOListElement_Interface is

   type IHTMLOListElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLOListElement_Type);

   function Pointer (This : IHTMLOListElement_Type)
     return Pointer_To_IHTMLOListElement;

   procedure Attach (This    : in out IHTMLOListElement_Type;
                     Pointer : in     Pointer_To_IHTMLOListElement);

   procedure Put_compact
     (This : IHTMLOListElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_compact
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_start
     (This : IHTMLOListElement_Type;
      p    : Interfaces.C.long);

   function Get_start
     (This : IHTMLOListElement_Type)
     return Interfaces.C.long;

   procedure Put_type
     (This : IHTMLOListElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLOListElement_Interface;

